package com.neusoft.smart.pos.card.constants;


import com.neusoft.smart.pos.framework.constants.CommonCode;

public enum CardErrorCode implements CommonCode {
    CARD_BALANCE_CHANGE_ERROR("11001", "卡金额变更失败,请重试"),
    CARD_CAN_NOT_USE("11002", "卡不可用"),
    CARD_NOT_EXIST("11003", "卡不存在"),
    CARD_INSUFFICIENT_BALANCE("11004", "您的账户余额不足，请您先充值"),
    MEMBER_EXISTS("11005", "会员卡已存在，请更换手机号注册"),
    MEMBER_CARD_BOUNDED("11006", "会员卡已绑定"),
    MEMBER_CARD_NUM_DUPLICATE("11007", "卡号重复"),
    DEVICE_INFO_NOT_FOUND("11008", "获取不到设备信息"),
    NO_CARD_NUM_OR_MOBILE_PROVIDED("11009", "未提供卡号或电话"),
    NO_STORE_PROVIDED("11010", "未提供门店id"),
    INVALID_MEMBER_NAME("11011", "会员名不合法"),
    INVALID_MEMBER_MOBILE("11012", "手机号不合法"),
    MEMBER_NOT_FOUND("11013", "会员不存在"),
    CANNOT_LOCATE_MEMBER_LEVEL("11014", "找不到合适的会员卡等级"),
    MEMBER_CARD_POINT_SHORTAGE("11015", "会员卡积分不足"),
    WRONG_CARD_PASSWORD("11016", "卡密码错误"),
    NO_ORG_PROVIDED("11017", "未提供集团id"),
    UNKNOWN_USER_ROLE("11018", "unknown user role"),
    INVALID_DISCOUNT("11019", "非法折扣值"),
    ORDER_NUM_DUPLICATE("11020", "请勿重复扣款"),
    RECHARGE_NUM_DUPLICATE("11021", "请勿重复充值"),
    REFUND_NUM_DUPLICATE1("11022", "请勿重复退款"),
    CANTEEN_CARD_NOT_NULL("11023", "印刷卡号和内部hid卡号不可为空"),
    CANTEEN_CARD_CHANGE_ERROR("11024", "只有正常状态的卡可以换卡"),
    CANTEEN_MEMBER_EXISTS("11025", "已开卡，如果想再开卡请先注销原始卡"),
    BUSINESS_CODE_NOT_EXISTS("11026", "业务编码不存在"),
    CAPITAL_CHANGE_STATISTICS_TIME_MODE_EMPTY("11027", "时间筛选模式不能为空"),
    CAPITAL_CHANGE_STATISTICS_TIME_MODE_ERROR("11028", "时间筛选模式值输入错误"),
    CAPITAL_CHANGE_STATISTICS_START_END_TIME_EMPTY("11029", "筛选开始及结束时间不能为空"),
    CAPITAL_CHANGE_STATISTICS_DATE_TIME_EMPTY("11030", "筛选月份不能为空"),
    CARD_BALANCE_QUERY_PARAM_EMPTY("11031", "卡余额查询参数不能为空"),
    TRANSFER_NUM_DUPLICATE("11032", "请勿重复转账"),
    TRANSFER_PATAM_LACKED("11033", "缺少转账参数"),
    RECHARGE_PATAM_LACKED("11034", "缺少充值参数"),
    TRADE_PATAM_LACKED("11035", "缺少付款方参数"),
    CARD_QUERY_PARAM_EMPTY("11036", "卡查询参数不能为空"),
    CARD_INSUFFICIENT_POINT("11037", "您的账户积分不足"),
    CARD_ORDER_NOT_EXIST("11038", "卡支付单不存在"),
    CARD_ORDER_REFUND_AMOUNT_EXCEED_PAY_AMOUNT("11039", "退款总金额不能超出付款金额"),
    CARD_ORDER_REFUND_AMOUNT_NOT_EQUAL_PAY_AMOUNT("11040", "不支持部分退款"),
    CARD_ORDER_CAN_NOT_CANCEL("11041", "当前订单状态不支持取消"),
    CARD_ORDER_CAN_NOT_REVERSE("11042", "当前订单状态不支持撤销"),
    CARD_CAN_NOT_BE_USED_IN_THIS_SHOP("11043", "该卡在当前店铺不可用"),
    RECHARGE_FAILED_CARD_DATA_INPUT_ERROR("11044", "充值失败，卡数据写入失败"),
    TRANSFER_FAILED_CARD_DATA_INPUT_ERROR("11045", "转账失败，卡数据写入失败"),
    PAY_FAILED_CARD_DATA_INPUT_ERROR("11046", "支付失败，卡数据写入失败"),
    REVERSE_FAILED_CARD_DATA_INPUT_ERROR("11047", "撤销失败，卡数据写入失败"),
    REFUND_FAILED_CARD_DATA_INPUT_ERROR("11048", "退款失败，卡数据写入失败"),
    CARK_MCH_SIGN_VALIDATE_ERROR("11049", "商户签名验证失败"),
    CARD_ANOTHER_ID_DUPLICATE("11050", "卡参数重复"),
    ;

    private String code;

    private String message;

    private CardErrorCode(String code, String message) {
        this.code = code;
        this.message = message;
    }
    
    public String getCode() {
        return code;
    }
    
    public void setCode(String code) {
        this.code = code;
    }
    
    public String getMessage() {
        return message;
    }
    
    public void setMessage(String message) {
        this.message = message;
    }
    
}
